ApiHBaseShellCommand (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHBaseShellCommand

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHBaseShellCommand

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHBaseShellCommand
      extends Object

  API request to execute generic hbase shell command The payload (command) is passed as it is to hbase shell, so the caller needs to know the exact syntax of the supported hbase shell command, based on underlying hbase version

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHBaseShellCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getPayload()` Get payload
    `int` | `hashCode()`
    `ApiHBaseShellCommand` | `payload(String payload)`
    `void` | `setPayload(String payload)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHBaseShellCommand

          public ApiHBaseShellCommand()

  - ### Method Detail

    - #### payload

          public ApiHBaseShellCommand payload(String payload)

    - #### getPayload

          public String getPayload()

      Get payload
      Returns:
        payload

    - #### setPayload

          public void setPayload(String payload)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.